<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__generic__wcm__defines" kind="group">
    <compoundname>generic_wcm_defines</compoundname>
    <title>WCM results/error codes</title>
      <sectiondef kind="define">
      <memberdef id="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_ERR_BASE</name>
        <initializer>CY_RSLT_CREATE(CY_RSLT_TYPE_ERROR, CY_RSLT_MODULE_WCM_BASE, 0)</initializer>
        <briefdescription>
<para>Generic wcm base error code. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="49" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="49" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1ga6944ac1b7cf6a45da8cef5b7aaccee43" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_WAIT_TIMEOUT</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 1)</initializer>
        <briefdescription>
<para>WCM Error Codes. </para>        </briefdescription>
        <detaileddescription>
<para>Wait timeout. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="52" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="52" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1ga9ed4661440bde1d143da250f5e9aa1d2" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_BAD_NETWORK_PARAM</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 2)</initializer>
        <briefdescription>
<para>Bad network parameters. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="53" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="53" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1ga199bdef33a6deeb6a65e4fb3cc4c74ed" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_BAD_SSID_LEN</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 3)</initializer>
        <briefdescription>
<para>Bad SSID length. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="54" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="54" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1ga90e3f82642d5adcf75e63ec385c0b31a" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_SECURITY_NOT_SUPPORTED</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 4)</initializer>
        <briefdescription>
<para>Security not supported. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="55" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="55" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1ga85c89ab97aab8ffc2d137823be53f98f" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_BAD_PASSPHRASE_LEN</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 5)</initializer>
        <briefdescription>
<para>Bad passphrase length. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="56" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="56" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1ga4e20cd3299afb41f9aa4c0160f86b49e" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_BAD_ARG</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 6)</initializer>
        <briefdescription>
<para>Bad argument. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="57" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="57" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1gad1ea482ae1422f00e10acceb12d35fd2" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_INTERFACE_NOT_SUPPORTED</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 7)</initializer>
        <briefdescription>
<para>Interface type not supported. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="58" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="58" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1ga96569b88f43584ab0d8f13270e890ef1" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_MUTEX_ERROR</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 8)</initializer>
        <briefdescription>
<para>Mutex error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="59" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="59" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1ga9f25bb09147c2b4baea03e7049144eea" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_STA_DISCONNECT_ERROR</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 9)</initializer>
        <briefdescription>
<para>STA disconnect error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="60" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="60" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1ga6b5d340b62864115c40912b3c824618f" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_STA_NETWORK_DOWN</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 10)</initializer>
        <briefdescription>
<para>STA network is down. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="61" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="61" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1gaa6740929b50bb588c5eac2ce24a3b8a3" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_BSP_INIT_ERROR</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 11)</initializer>
        <briefdescription>
<para>CY BSP initialization error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="62" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="62" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1gae47a63270adf2e7623fc7e094f439149" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_BSP_DEINIT_ERROR</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 12)</initializer>
        <briefdescription>
<para>CY BSP error while de-initialization. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="63" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="63" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1ga75d572006f9f9e5537b6829f1a6e05d1" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_NO_ACTIVE_SCAN</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 13)</initializer>
        <briefdescription>
<para>No active scan running currently. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="64" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="64" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1gad7f901e31b274c3875d4fffe5ad67e2b" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_SCAN_IN_PROGRESS</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 14)</initializer>
        <briefdescription>
<para>Scan in progress. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="65" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="65" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1ga197800b45253fb46881ace6422f71cf2" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_SCAN_ERROR</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 15)</initializer>
        <briefdescription>
<para>Scan error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="66" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="66" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1ga0eb923b5580da458eed4a15793a1ffce" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_STOP_SCAN_ERROR</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 16)</initializer>
        <briefdescription>
<para>Stop scan error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="67" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="67" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1ga3ff0df04af64b8e9885c7965c0323dfd" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_BAND_NOT_SUPPORTED</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 17)</initializer>
        <briefdescription>
<para>BAND not supported. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="68" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="68" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1gaca7baad8249d644588355f5957dbeb23" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_OUT_OF_MEMORY</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 18)</initializer>
        <briefdescription>
<para>WCM out of memory error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="69" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="69" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1ga3fbd0225b6475abc34f2631923abf7d6" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_CHANNEL_ERROR</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 19)</initializer>
        <briefdescription>
<para>Error in retrieving the Wi-Fi channel. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="70" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="70" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1ga152d8dbea82f3fc8ac3bcd9134ba7c2b" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_NETIF_DOES_NOT_EXIST</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 20)</initializer>
        <briefdescription>
<para>Network interface does not exist. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="71" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="71" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1ga4e8841bff7f6f44e4338a7a5f4957430" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_ARP_REQUEST_FAILURE</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 21)</initializer>
        <briefdescription>
<para>Error returned for ARP request failure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="72" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="72" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1gaf238a2679be63d6c347384309d0ecdec" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_IPV6_GLOBAL_ADDRESS_NOT_SUPPORTED</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 22)</initializer>
        <briefdescription>
<para>IPv6 global IP not supported. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="73" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="73" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1gaec2dc6ae38fe8d511c6e9341a87460d4" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_IPV6_INTERFACE_NOT_READY</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 23)</initializer>
        <briefdescription>
<para>IPV6 interface not ready. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="74" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="74" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1ga25e7e3f701dc1fb8d7695f12b197e792" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_PING_FAILURE</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 24)</initializer>
        <briefdescription>
<para>Failure in executing ping. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="75" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="75" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1gaeda8de6854236b599d845071a9de13f6" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_PING_REQUEST_TIMEOUT</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 25)</initializer>
        <briefdescription>
<para>Ping request timed out. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="76" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="76" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1ga43b6f1f06a3602b8d084ee2d95ad5a2e" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_STATIC_IP_NOT_SUPPORTED</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 26)</initializer>
        <briefdescription>
<para>Static IP address not supported for IPv6. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="77" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="77" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1gab5427f7db66759198ece7997fb98b1d6" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_BAD_STATIC_IP</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 27)</initializer>
        <briefdescription>
<para>Bad Static IP address. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="78" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="78" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1gab6f3189215b7eb6877302a14445af584" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_SECONDARY_INTERFACE_ERROR</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 28)</initializer>
        <briefdescription>
<para>Error in bringing up the secondary interface. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="79" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="79" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1ga417bfc0044bee5d22d44b2241f49f4a7" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_AP_NETWORK_BRINGUP_ERROR</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 29)</initializer>
        <briefdescription>
<para>AP network bring up error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="80" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="80" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1gabcb1cf00097ec4ed82c84389fbc1d64c" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_AP_BAD_CHANNEL</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 30)</initializer>
        <briefdescription>
<para>Bad AP channel number. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="81" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="81" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1ga76c0f03b758e55b8e3c2b5e0a478fee6" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_AP_IE_REMOVAL_ERROR</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 31)</initializer>
        <briefdescription>
<para>AP IE removal error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="82" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="82" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1ga3f4a70557a584ae9d9692930d7251606" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_INVALID_IE</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 32)</initializer>
        <briefdescription>
<para>Invalid IE. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="83" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="83" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1gaf320281f7c8bc5389e44731e76216b7d" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_AP_NOT_UP</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 33)</initializer>
        <briefdescription>
<para>SoftAP is not started. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="84" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="84" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1ga3fbe3d03f2b124ee6b1f893170318b65" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_INTERFACE_NOT_UP</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 34)</initializer>
        <briefdescription>
<para>Interface is not initialized. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="85" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="85" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1ga17574dc98d92fa8947200e5550cbfeb4" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_NOT_INITIALIZED</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 35)</initializer>
        <briefdescription>
<para>WCM not initialized. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="86" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="86" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1gab647206b775cba6ee4b7b7b19c583f7b" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_WPS_PBC_OVERLAP</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 36)</initializer>
        <briefdescription>
<para>WPS Error Codes. </para>        </briefdescription>
        <detaileddescription>
<para>WPS PBC overlap. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="89" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="89" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1gac6347a8774ce04d4e63619b0f7bf64f1" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_WPS_ERROR_RECEIVED_WEP_CREDENTIALS</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 37)</initializer>
        <briefdescription>
<para>WPS received incorrect credentials. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="90" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="90" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1ga46d6e7393784bb35e110d5fe42c004e9" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_WPS_FAILED</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 38)</initializer>
        <briefdescription>
<para>WPS PBC/PIN mode failed. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="91" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="91" />
      </memberdef>
      <memberdef id="group__generic__wcm__defines_1gaadcc9a3f04cb2e2846a8d77489476fa1" kind="define" prot="public" static="no">
        <name>CY_RSLT_WCM_DHCP_TIMEOUT</name>
        <initializer>(<ref kindref="member" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689">CY_RSLT_WCM_ERR_BASE</ref> + 39)</initializer>
        <briefdescription>
<para>DHCP Error Code. </para>        </briefdescription>
        <detaileddescription>
<para>DHCP timeout. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" bodystart="94" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm_error.h" line="94" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Cypress middleware APIs return results of type cy_rslt_t and consist of three parts: </para>    </briefdescription>
    <detaileddescription>
<para><itemizedlist>
<listitem><para>module base</para></listitem><listitem><para>type</para></listitem><listitem><para>error code</para></listitem></itemizedlist>
</para><para><simplesect kind="par"><title>Result Format</title><para /></simplesect>
<verbatim>           Module base                   Type    Library specific error code
   +-----------------------------------+------+------------------------------+
   |CY_RSLT_MODULE_WCM_BASE            | 0x2  |           Error Code         |
   +-----------------------------------+------+------------------------------+
             14-bits                    2-bits            16-bits

See the macro section of this document for library-specific error codes.
</verbatim></para><para>The data structure cy_rslt_t is part of cy_result.h located in &lt;core_lib/include&gt;.</para><para>Module base: This base is derived from CY_RSLT_MODULE_MIDDLEWARE_BASE (defined in cy_result.h) and is an offset of the CY_RSLT_MODULE_MIDDLEWARE_BASE. The details of the offset and the middleware base are defined in cy_result_mw.h, that is part of <ulink url="https://github.com/cypresssemiconductorco/connectivity-utilities">GitHub connectivity-utilities</ulink> For example, Wi-Fi Connection Manager (WCM) uses CY_RSLT_MODULE_WCM_BASE as the module base.</para><para>Type: This type is defined in cy_result.h and can be one of CY_RSLT_TYPE_FATAL, CY_RSLT_TYPE_ERROR, CY_RSLT_TYPE_WARNING, or CY_RSLT_TYPE_INFO. AWS library error codes are of type CY_RSLT_TYPE_ERROR.</para><para>Library-specific error code: These error codes are library-specific and defined in the macro section.</para><para>Helper macros used for creating the library-specific result are provided as part of cy_result.h. </para>    </detaileddescription>
  </compounddef>
</doxygen>